Bug 130378 - Mouse doesn't work in graphical install
Mouse doesn't work in graphical install
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-19 14:46 EDT by vgrig
Modified: 2015-01-04 17:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:30:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vgrig 2004-08-19 14:46:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; .NET 
CLR 1.0.3705)

Description of problem:
During install mouse deosn't work in graphical mode. It sets up 
as "Generic 3 button mouse", start X, cursor is visible but does not 
move.
Virtual console gives messages:
<4>psmouse.c: bad data from KBC - timeout

Tried two different servers, two different mices.

Hardware
Compaq Proliant 1600 2-cpu Pentium II 350, Smart2 array controller

Version-Release number of selected component (if applicable):
core 2 install

How reproducible:
Always

Steps to Reproduce:
1.Choose graphical install from disk one boot menu (default)
2.
3.
    

Additional info:
Comment 1 vgrig 2004-08-19 15:41:05 EDT
Found workaround - at boot screen pass:
linux nousb noapm
Mouse seems to work. Still a bug though - there are plenty of server 
hardware without USB.
Comment 2 Ashuthosh Bhat 2004-10-19 06:04:41 EDT
Same with me... I have a Logitech 2 button mouse on serial port.  
Mine is Pentium III, 810 chipset.  I installed Fedora - 2.  

With com port am able to get the mouse working.  
Comment 3 Dave Jones 2005-04-16 01:30:13 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.